using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.SceneManagement;

public class SceneLoaderClass : MonoBehaviour
{
    public static SceneLoaderClass Instance;
    public GameObject gameObjectToMove;
    string breathingProtocol = "Scenes/BreathingProtocol";
    string menu = "Scenes/Menu";
    private void Awake()
    {
        if (Instance != null)
        {
            Destroy(gameObject);
            return;
        }
        Instance = this;
        DontDestroyOnLoad(gameObject);
    }
    // Start is called before the first frame update
    void Start()
    {
        
    }

    // Update is called once per frame
    void Update()
    {
        Scene currentScene = SceneManager.GetActiveScene();
        Debug.Log(currentScene.name);
        if (currentScene.name == "BreathingProtocol")
        {
            GameObject go = GameObject.Find("ProtocolHandler");
            go.GetComponent<ProtocolHandler>().PrintBlockStack();
        }
    }

    public void LoadRunScene()
    {
        // Scene scene = SceneManager.GetSceneByName(breathingProtocol);
        // SceneManager.MoveGameObjectToScene(gameObjectToMove, scene);
        SceneManager.LoadScene(breathingProtocol);
    }

    public void LoadMenuScene()
    {
        SceneManager.LoadScene(menu);
    }
}
